# Change Log

## v1.8.3 - 2023-06-08

- ⚙️ **Chore**: backend libs updated with golang:1.20.5

## v1.8.2 - 2023-05-11

- 🐛 **Fix**: skip diagnostic commands when parsing the query

## v1.8.1 - 2023-05-10

- 🐛 **Fix**: Updated UI to ensure additional settings label width are consistent

## v1.8.0 - 2023-05-10

- 🚀 **Feature**: [Secure socks proxy](https://grafana.com/docs/grafana/next/setup-grafana/configure-grafana/proxy/) support added

## v1.7.4 - 2023-05-04

- ⚙️ **Chore**: Backend binaries are now compiled with `golang:1.20.4`

## v1.7.3 - 2023-04-19

- ⚙️ **Chore**: Backend binaries are now compiled with `golang:1.20.3`

## v1.7.2 - 2023-04-10

- 🐛 **Fix**: Parser - format multi values as strings

## v1.7.1 - 2023-03-28

- 🐛 **Fix**: Parse queries properly that contain double $$ like "$$ROOT"

## v1.7.0 - 2023-03-27

- 🚀 **Feature**: Query Editor - Expand/collapse, Syntax Highlighting, Syntax Validation, Run button
- 🚀 **Feature**: Config Editor - UI/UX improvements
- ⚙️ **Chore**: Cleanup docs

## v1.6.2 - 2023-03-21

- 🐛 **Fix**: Revert toolkit removal - parser failing

## v1.6.1 - 2023-03-20

- 🐛 **Fix**: Repeating panels with compound variables

## v1.6.0 - 2023-03-20

- 🚀 **Feature**: Support Alerting with Wide Frames for Time Series data

## v1.5.1 - 2023-02-03

- ⚙️ **Chore**: Update frontend dependencies

## v1.5.0 - 2023-01-25

- 🚀 **Feature**: Updated UI layout, tooltips and error messages

## v1.4.12 - 2022-12-16

- ⚙️ **Chore**: Updated backend grafana dependencies
- ⚙️ **Chore**: Backend compiled with the latest version of go (1.19.4)

## v1.4.11 - 2022-11-10

- 🐛 **Fix**: check for faceted results
- ⚙️ **Chore**: go version 1.19

## v1.4.10 - 2022-11-01

- 🐛 **Fix**: parser when using compound variables
- 🐛 **Fix**: interpolation when selecting a template variable

## v1.4.9 - 2022-10-17

- 🐛 **Fix**: parser when using macros

## v1.4.8 - 2022-10-07

- 🐛 **Fix**: parser when using find with projections

## v1.4.7 - 2022-10-04

- 🐛 **Fix**: remove carriage return (`\r`) characters when parsing multi-line aggregate queries

## v1.4.6 - 2022-10-03

- 🐛 **Fix**: Fixed an issue where space around find/aggregate queries were failing
- 🐛 **Fix**: Fixed an issue where `$__timeFrom` and `$__timeTo` macros interpolated incorrectly in variable queries
- 🐛 **Fix**: Fixed an issue where hide query doesn't work as expected

## v1.4.5 - 2022-09-19

- 🐛 **Fix**: issue with numeric template variables

## v1.4.3 - 2022-09-14

- 🐛 **Fix**: remove carriage return (`\r`) characters in multi-line aggregate queries

## v1.4.2 - 2022-09-06

- Query inspector in grafana now shows the executed query
- 🐛 **Fix**: `$__timeFrom`/`$__timeTo` macros not working properly
- ⚙️ **Chore**: Updated docs with more examples

## v1.4.1 - 2022-08-08

- 🐛 **Fix**: queries were not in the query editor after saving

## v1.4.0 - 2022-06-07

- 🚀 **Feature**: Add support for ObjectId, regex patterns and single-quote usage

## v1.3.0 - 2022-03-31

- 🐛 **Fix**: handle numeric values always as floats

## v1.2.1 - 2022-03-24

- ⚙️ **Chore**: Fix docs \$\_\_timeTo macro

## v1.2.0 - 2022-03-15

- 🚀 **Feature**: Update driver to support serverless and MongoDB 5.x features

## v1.1.12 - 2022-01-19

- 🐛 **Fix**: Textbox variables apply properly

## v1.1.11 - 2022-01-19

- 🐛 **Fix**: Compound variables with newer Grafana versions
- 🐛 **Fix**: ISODate when using aggregate function

## v1.1.10 - 2022-01-07

- ⚙️ **Chore**: License, Update SDK

## v1.1.9 - 2021-10-29

- 🐛 **Fix**: Handle collections containing dots

## v1.1.7 - 2021-05-20

- 🚀 **Feature**: Allow injecting template variables into other template variables

## v1.1.6 - 2021-04-28

- 🐛 **Fix**: Handle nullable Boolean values

## v1.1.5 - 2021-04-09

- ⚙️ **Chore**: update enterprise and plugin sdk

## v1.1.4 - 2021-02-06

- 🚀 **Feature**: Time Series grouping by \_\_metric
- 🚀 **Feature**: Convert Interval variables to ms with \_ms suffix

## v1.1.1 - 2021-01-25

- **Workaround** - Build with Go 1.14.14 to workaround old common name certs

## v1.1.0 - 2021-01-19

- 🚀 **Feature**: TLS/SSL support

## v1.0.3 - 2021-01-08

- 🐛 **Fix**: Time Macros in Aggregation #46

## v1.0.2 - 2020-10-28

- 🐛 **Fix**: Signing issue

## v1.0.1 - 2020-10-23

- 🐛 **Fix**: Readme badge/links

## v1.0.0 - 2020-10-23

- Initial release
